Signed-off-by: Jiri Denemark <jdene...@redhat.com>
---
 libvirt.spec.in | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/libvirt.spec.in b/libvirt.spec.in
index daf7098216..c5cb0439a0 100644
--- a/libvirt.spec.in
+++ b/libvirt.spec.in
@@ -143,6 +143,10 @@
     %define with_libxl 0
     %define with_hyperv 0
     %define with_vz 0
+
+    %if 0%{?rhel} > 7
+        %define with_lxc 0
+    %endif
 %endif
 
 # Fedora 17 / RHEL-7 are first where we use systemd. Although earlier
@@ -295,7 +299,7 @@ BuildRequires: libtool
 BuildRequires: /usr/bin/pod2man
 %endif
 BuildRequires: git
-%if 0%{?fedora} >= 27
+%if 0%{?fedora} >= 27 || 0%{?rhel} > 7
 BuildRequires: perl-interpreter
 %else
 BuildRequires: perl
@@ -786,7 +790,7 @@ Requires: gzip
 Requires: bzip2
 Requires: lzop
 Requires: xz
-    %if 0%{?fedora}
+    %if 0%{?fedora} || 0%{?rhel} > 7
 Requires: systemd-container
     %endif
 
@@ -804,7 +808,7 @@ Group: Development/Libraries
 Requires: libvirt-daemon = %{version}-%{release}
 # There really is a hard cross-driver dependency here
 Requires: libvirt-daemon-driver-network = %{version}-%{release}
-    %if 0%{?fedora}
+    %if 0%{?fedora} || 0%{?rhel} > 7
 Requires: systemd-container
     %endif
 
-- 
2.16.1

--
libvir-list mailing list
libvir-list@redhat.com
https://www.redhat.com/mailman/listinfo/libvir-list

Reply via email to